Will CS5 work on a 21.5 imac?

Discussion in 'Mac Basics and Help' started by ab1472, Dec 5, 2009.

  1. ab1472 macrumors newbie

    Joined:
    Dec 5, 2009
    #1
    I am saving to get a new imac for use with Adobe CS4 (eventually 5, when it's released) and Final Cut Studio...

    I know CS4 will work the duo core 21.5 imac (i'd get the $1500 and upgrade RAM later on), but am wondering if i should stick it out for the Quad core, so i'll be ready for CS5...

    I know it's not released yet, but do you guys figure CS5 will/should be compatible on the 21.5 imac?

    Thanks in advance
     
  2. BlueRevolution macrumors 603

    BlueRevolution

    Joined:
    Jul 26, 2004
    Location:
    Montreal, QC
    #2
    Yes, definitely. You could probably make it to CS7 without so much as a memory upgrade.
     
  3. ab1472 thread starter macrumors newbie

    Joined:
    Dec 5, 2009
    #3
    thanks a lot for the response...

    so, obviously, the quad core would kick the 21.5's ass, but as long as i can work with Adobe's suites/Final Cut/ToonBoom without crashing/bugs on the 21.5 i will be a happy mac user...

    i'm just broke, so this is a huge investment for me, either way, but if the 21.5'll do the trick, that'll save me about $800, so, thanks again...
     
  4. cjmillsnun macrumors 68020

    Joined:
    Aug 28, 2009
    #4
    Good luck with Adobe software on any Mac. Unfortunately Adobe seems to have let their standards of QA fall in recent years...
     

Share This Page